package com.quyunshuo.androidbaseframemvvm.base.addressenum

/**
 * 商品：
 */
enum class ProTypeEnum(var proValue: Int, var chineseName: String) {
    PRO_1(1, "玫瑰精灵"),
    PRO_2(2, "五彩缤纷"),
    PRO_3(3, "小棉袄"),
    PRO_4(4, "彩色精灵");

    companion object {
        fun getEnumByValue(chineseName: String): ProTypeEnum {

            for (anEnum in ProTypeEnum.values()) {
                if (anEnum.chineseName == chineseName) {
                    return anEnum
                }
            }
            return PRO_1
        }

    }


}